# Names

Name availability checks for new registries

This tag groups all operations for names.

## Get container registry name availability

> Validate that the name is suitable to use for a new registry:\
> \- it uses only the characters "a-z", "0-9", or "-"\
> \- and starts with a letter and ends with a letter or number\
> \- and is between 3 to 63 characters in length\
> \- and is available

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Names","description":"Name availability checks for new registries\n\nThis tag groups all operations for names.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/names/{name}":{"head":{"tags":["Names"],"summary":"Get container registry name availability","description":"Validate that the name is suitable to use for a new registry:\n- it uses only the characters \"a-z\", \"0-9\", or \"-\"\n- and starts with a letter and ends with a letter or number\n- and is between 3 to 63 characters in length\n- and is available","operationId":"namesCheckUsage","parameters":[{"name":"name","in":"path","description":"The desired registry name","required":true,"schema":{"pattern":"^[a-z][-a-z0-9]{1,61}[a-z0-9]$","type":"string","description":"The desired registry name"}}],"responses":{"200":{"description":"OK. The registry name is valid but already in use"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not found. The registry name is available and valid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
